/******************* SWITCH ********************************/

/* The switch - the box around the slider */
.switch {
  position: relative;
  display: inline-block;
  width: 40px;
  height: 24px;
  flex-shrink: 0;
}

/* Hide default HTML checkbox */
.switch input {display:none;}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .2s;
  transition: .2s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 16px;
  width: 16px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .2s;
  transition: .2s;
}

input:checked + .slider {
  background-color: var(--blue);
}

input:focus + .slider {
  box-shadow: 0 0 1px #00ca65;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(16px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}


/******************* FORMS VOLNE PLUJICI ********************************/
input[type=text],
input[type=email],
input[type=date],
input[type=password], textarea,
.school-search-input {
  font-size: 16px;
  line-height: 2em;
  padding-left: 10px;
  border: 1px solid #D1D2D4;
  border-radius: 3px;
  display: inline-block;
  width: 100%;
  min-width: 350px;
  font-size: inherit;
  font-family: inherit;
  outline: 3px solid transparent;
  transition: .15s
}

input[type=email] {min-width: 0;}

@media (max-width: 550px) {input[type=text],
  input[type=date],
  input[type=password], textarea {
    width: 100%;
    min-width: auto;
  }}

input[type=text]:focus,
#content input[type=email]:focus,
#content input[type=date]:focus,
#content input[type=password]:focus,
.school-search-input:focus,
.secondary-box input[type=text]:focus,
.secondary-box input[type=email]:focus,
.secondary-box input[type=date]:focus,
.secondary-box input[type=password]:focus,
.secondary-box textarea:focus
{
  border: 1px solid var(--blue);
  outline-color: rgba(52, 152, 219, 0.3);
}

input.mandatory{
  border:1px solid orange;
}

input[type=submit]{
  font-size: 16px;    
  border:0px;
}

select {font-family: inherit; color: var(--black)}

select.big {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;  

  display:inline-block;
  font-size: 16px;  
  line-height:2em;    
  height:2em;    
  padding-left:10px; 
  padding-right:50px; 
  border: 1px solid var(--gray);
  border-radius: 3px;  
  width:auto;
  margin: 0px; 

  background-image: url("https://www.umimeto.org/asset/global/img/down-arrow.svg"); 
  background-repeat: no-repeat;
  background-position: 160px 8px;   
  background-position: right 6px top 6px;
  background-size: 25px 15px;
} 

/******************* LOGIN INPUTGROUP -- SHOW PASSWORD ********************************/
.inputgroup {
  display: grid;
  grid-template-columns: 5fr minmax(120px, 1fr);
  gap: 0;
}

.inputgroup a {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
}

.inputgroup input[type="text"], .inputgroup input[type="password"] {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
  z-index: 5;
}

/*********************** simpler checkbox by TK ********************/
.checknew, .radionew {
  display: flex;
  gap: .4em;
  align-items: center;
}

.checknew label, .radionew label {
  cursor: pointer;
  text-wrap: wrap;
}

.checknew input[type="checkbox"] {
  cursor: pointer;
  appearance: none;
  font-size: inherit;
  flex-shrink: 0;
  width: 17px;
  height: 17px;
  background-color: var(--gray);
  border-radius: 3px;
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
  background-image: none;
  transition: .1s;
  margin: 0;
}

.radionew input[type="radio"]:disabled,
.checknew input[type="checkbox"]:disabled {
  cursor: default;
}

.radionew input[type="radio"]:disabled:checked {
  border-color: var(--darkGray)
}

.checknew input[type="checkbox"]:checked {
  background-image: url('https://umimeto.org/asset/global/img/icons-umime/tickmark.svg');
}

.checknew input[type="checkbox"]:checked {background-color: var(--blue);}

.radionew input[type="radio"] {
  cursor: pointer;
  appearance: none;
  font-size: inherit;
  flex-shrink: 0;
  width: 17px;
  height: 17px;
  background-color: var(--gray);
  border: 5px solid var(--gray);
  border-radius: 100%;
  transition: .1s;
  margin: 0;
}

.radionew input[type="radio"]:hover:not(:disabled) {
  background: white;
}

.radionew input[type="radio"]:checked {
  background: white;
  border-color: var(--blue);
}


.content-box label[for] {cursor: pointer;}

/********************** MOBILNI VERZE *****************************/

@media screen and (max-width: 550px) {
  input[type=text],input[type=password]{
    min-width: auto;
  }
}

/* input type="select" */
select {font-size: inherit; border: 1px solid var(--gray); font-family: inherit; border-radius: 3px; background-color: white;}
select.selected {border: 1px solid var(--blackHover); background-color: var(--black); color: var(--white); font-weight: 600;}
select option {color: var(--black); background: var(--white);}